> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/mts/transaction-3.0-api/additional-transaction-details/selections-fields-in-case-of-uof.md).

# Selections Fields in Case of UOF

Betradar's Unified Odds Feed (UOF) is the next stage in making traditional sports and eSports data transmission and service integration more straightforward and comfortable. This new way of data delivery enables customers to access all the data Betradar supports quickly and consistently. The feed works with the entire range of our existing betting products: Pre-match Odds Service (PMOS), Live Odds (LO), Premium Cricket, etc. For comprehensive documentation on UOF, please [visit this link.](/uof/unified-odds-feed-uof.md)

Selections fields should be composed in the following way:

<table data-header-hidden><thead><tr><th width="164.27783203125"></th><th></th></tr></thead><tbody><tr><td><br></td><td><br></td></tr><tr><td>productId</td><td><p>Producer in UOF:</p><ul><li>1 – Live Odds (LO)</li><li>3 – Betradar Ctrl</li><li>4 – Betpal</li><li>5 – Premium Cricket</li><li>6 - Virtual football</li><li>7 - Numbers betting</li><li>8 - Virtual Basketball League</li><li>9 - Virtual Tennis Open</li><li>10 - Virtual Dog Racing</li><li>11 - Virtual Horse Classics</li><li>12 - Virtual Tennis In-play</li><li>14 – Competition Odds</li><li>15 - Virtual Baseball In-play</li><li>16 - Performance betting</li><li>17 - Virtual Cricket In-play</li></ul></td></tr><tr><td>eventId</td><td>Event ID as received via UOF</td></tr><tr><td>marketId</td><td>Market ID as received via UOF</td></tr><tr><td>outcomeId</td><td>Outcome ID as received via UOF</td></tr><tr><td>specifiers</td><td>Specifier IDs as received via UOF</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/additional-transaction-details/selections-fields-in-case-of-uof.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
